summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorbartus2019-08-28 10:03:40 +0200
committerbartus2019-08-28 10:03:40 +0200
commit1c431237faffee3efde8a628a53ddebf4db53099 (patch)
tree97f45435c43005345b7061980a6f08e405b2ef30 /PKGBUILD
parent5c90f15f55c5c37188f75f6d229a21ed5dd45a9e (diff)
downloadaur-1c431237faffee3efde8a628a53ddebf4db53099.tar.gz
Working PKGBUILD
* build share/static library, control with BUILD_SHARED={0,1} * disable check() until reference.tgz link is fixed * update description * pop version to 1.0.0
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD34
1 files changed, 17 insertions, 17 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 895aaac7671..cdb02b69eca 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,33 +1,32 @@
# Maintainer : bartus <arch-user-repoᘓbartus.33mail.com>
# shellcheck disable=SC2034
# -> disable check() until #63 is fixed
+DISABLE_CHECK=1
_name=popsift
pkgname=${_name}
-pkgver=0.9
+pkgver=1.0.0
pkgrel=1
-pkgdesc="This library provides a GPU implementation of SIFT, 25 fps on HD images on recent graphic cards. (DOI: 10.1145/3204949.3208136)"
+pkgdesc="Realtime GPU implementation of SIFT, 25 fps on HD images on recent graphic cards. (DOI: 10.1145/3204949.3208136)"
arch=('i686' 'x86_64')
url="https://alicevision.github.io/"
license=('MPL2')
groups=()
conflicts=()
provides=()
-depends=('boost-libs>=1.55' 'cuda=10.1.243-9')
-makedepends=('boost' 'cmake' 'git' 'ninja')
+makedepends=('boost' 'cmake' 'git')
+makedepends+=('cuda>=7.0')
checkdepends=('wget')
+options=('staticlibs')
source=("${_name}::git+https://github.com/alicevision/popsift.git")
sha256sums=('SKIP')
_CMAKE_FLAGS=(
-DCMAKE_INSTALL_PREFIX=/usr
-DCMAKE_BUILD_TYPE=Release
- -DBUILD_SHARED_LIBS=ON
)
-
-((DISABLE_CHECK)) && { _CMAKE_FLAGS+=( -DPopSift_BUILD_EXAMPLES=OFF )
- } || { _CMAKE_FLAGS+=( -DPopSift_BUILD_EXAMPLES=ON
- -DPopSift_USE_TEST_CMD=ON ); }
+((BUILD_SHARED)) && _CMAKE_FLAGS+=( -DBUILD_SHARED_LIBS=ON ) || _CMAKE_FLAGS+=( -DBUILD_SHARED_LIBS=OFF -DCUDA_USE_STATIC_CUDA_RUNTIME=ON )
+((DISABLE_CHECK)) && _CMAKE_FLAGS+=( -DPopSift_BUILD_EXAMPLES=OFF ) || _CMAKE_FLAGS+=( -DPopSift_BUILD_EXAMPLES=ON -DPopSift_USE_TEST_CMD=ON )
build() {
cd ${srcdir}
@@ -41,15 +40,16 @@ build() {
package() {
cd ${srcdir}/build
+ ((BUILD_SHARED)) && depends=('boost-libs>=1.55' 'libcudart.so')
make DESTDIR=${pkgdir} install
}
-#check() {
-# cd ${srcdir}/build
-# ((DISABLE_CHECK)) || {
-# make prepare-test
-# make run-test
-# make run-test-boat
-# }
-#}
+check() {
+ cd ${srcdir}/build
+ if ! ((DISABLE_CHECK)); then
+ make prepare-test
+ make run-test-boat
+# make run-test
+ fi
+}
# vim:set ts=2 sw=2 et: